> For the complete documentation index, see [llms.txt](https://docs.laminar.run/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.laminar.run/running-an-integration/api-key.md).

# Getting your API Key

## Overview

API keys in Laminar are used to authenticate requests to the Laminar API. They are created and managed in workspace settings and provide secure access to the API.

## Usage

API keys are to be passed in the query parameters of your desired request via the `api_key` param.

```bash
curl -X POST 'https://api.laminar.run/workflow/execute/{workflowId}?api_key=<your_api_key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": "your workflow input"
  }'
```

## Best Practices

* Rotate keys periodically for security
* Never share or commit API keys to version control
